<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from uncprb_leastsqjac.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="uncprb_leastsqjac" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>uncprb_leastsqjac</refname><refpurpose>Returns the Jacobian matrix for the leastsq function.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   J = uncprb_leastsqjac ( x, m, nprob, n )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x:</term>
      <listitem><para> a n-by-1 matrix of doubles, the point where to compute f and g</para></listitem></varlistentry>
   <varlistentry><term>nprob:</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the problem number</para></listitem></varlistentry>
   <varlistentry><term>n:</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the number of variables, i.e. the size of x</para></listitem></varlistentry>
   <varlistentry><term>m:</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, the number of functions, i.e. the size of fvec</para></listitem></varlistentry>
   <varlistentry><term>J:</term>
      <listitem><para> a m-by-n matrix of doubles, the Jacobian matrix</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This function is designed to be used to make the leastsq solver
optimize the problem #nprob.
Indeed, the header of the uncprb_leastsqfun function is the one required
by the leastsq function.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Check wrapper on problem #1
nprob = 1;
[n,m,x0]=uncprb_getinitf(nprob);
J = uncprb_leastsqjac ( x0, m, nprob, n )
//   24.    10.
//  - 1.     0.

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin - 2011 - DIGITEO</member>
   </simplelist>
</refsection>
</refentry>
